/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#ifndef PROXYSETTINGSDLG_H
#define PROXYSETTINGSDLG_H

#include <QDialog>

class QLineEdit;
class QPushButton;
class QCheckBox;

/** 
 * @file proxysettingsdlg.h
 * @brief Small dialog for proxy settings. 
 */

class ProxySettingsDlg : public QDialog {

    Q_OBJECT

public:
    ProxySettingsDlg(QWidget *parent);

private slots:
    /** @brief activate the save button depending on the input.*/
    void checkCanSave(const QString& val);

    /** @brief save the contents of mProxyURL in the settings. */
    void save();

    /** @brief make the URL editiable depending on UseProxy setting. */
    void checkCanEdit(int state);

private:
    QLineEdit *mProxyURL;
    QPushButton *mSaveButton;
    QCheckBox *mCheckBox;
};

#endif // PROXYSETTINGSDLG_H
